# MInputXIMArgIC Struct Reference
[Input Method (GUI)]

Structure pointed to by the argument arg of the function minput_create_ic(). More...

## Data Fields

XIMStyle | input_style
Window | client_win
Window | focus_win
XVaNestedList | preedit_attrs
XVaNestedList | status_attrs

## Detailed Description

Structure pointed to by the argument arg of the function minput_create_ic().

The type MInputXIMArgIC is the structure pointed to by the argument arg of the function minput_create_ic() for the foreign input method of name Mxim.

## Field Documentation

XIMStyle MInputXIMArgIC::input_style

Used as the arguments of `XCreateIC` following `XNInputStyle`. If this is zero, ( `XIMPreeditNothing` | `XIMStatusNothing`) is used, and <preedit_attrs> and <status_attrs> are set to `NULL`.

Window MInputXIMArgIC::client_win

Used as the argument of `XCreateIC` following `XNClientWindow`.

Window MInputXIMArgIC::focus_win

Used as the argument of `XCreateIC` following `XNFocusWindow`.

XVaNestedList MInputXIMArgIC::preedit_attrs

If non- `NULL`, used as the argument of `XCreateIC` following `XNPreeditAttributes`.

XVaNestedList MInputXIMArgIC::status_attrs

If non- `NULL`, used as the argument of `XCreateIC` following `XNStatusAttributes`.